Subject: Re: Problem Tunneling VNC through SSH
From: "Karl M" <[email-masked]>
To: [email-masked], [email-masked]
Cc: [email-masked]
Date: Fri, 27 Jul 2001 15:07:00 -0700

Hi All...

I use

ssh -f -L 5901:localhost:5900 myserver sleep 30

from a Windows 2000 client (or Windows NT 4), so that the port will 
automatically close down when I'm done. And the -f lets me put the launch of 
the tunnel and the vncviewer in the same script file.

When you do a "loopback" connection on your server...have you modified the 
registry to allow this? The value is called ConnectPriority in the WINVNC3 
key I think.

Thanks,

...Karl

>From: [email-masked]
>To: [email-masked]
>CC: [email-masked]
>Subject: Re: Problem Tunneling VNC through SSH
>Date: Fri, 27 Jul 2001 14:13:36 -0500
>
>On Fri, Jul 27, 2001 at 02:12:05PM -0400, [email-masked] 
>wrote:
> > When on my_workstation I start ssh like this:
> > 'ssh -L 5901:my_server:5900 my_server'
> > port 5900 on my_server then supposedly is forwarded to
> > port 5901 on my_workstation, which corresponds to display 1.
>
>Doesn't that actually forward my_workstation:5901 to my_server:5900,
>given the sense of "forward" usually used with ssh?
>
>Have you tried 'ssh -L 5901:my_server:5901 my_server'?  That way when
>'vncviewer my_workstation:1' tries to connect to port 5901 on
>my_workstation it will end up communicating with port 5901 on the
>my_server.
>
>--
>Fred Yankowski           [email-masked]      tel: +1.630.879.1312
>Principal Consultant     www.OntoSys.com       fax: +1.630.879.1370
>OntoSys, Inc             38W242 Deerpath Rd, Batavia, IL 60510, USA
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/
>

_________________________________________________________________
Get your FREE download of MSN Explorer at http://explorer.msn.com/intl.asp

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/